Bug 857461 - Review Request: perl-CDDB_get - Read the CDDB entry for an audio CD in your drive
Review Request: perl-CDDB_get - Read the CDDB entry for an audio CD in your d...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 09:44 EDT by Petr Pisar
Modified: 2012-12-06 03:43 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-CDDB_get-2.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 03:43:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-09-14 09:44:21 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-CDDB_get/perl-CDDB_get.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-CDDB_get/perl-CDDB_get-2.28-1.fc19.src.rpm
Description:
This module/script gets the CDDB data for an audio CD. You need a CD-ROM drive
and an active Internet connection in order to do that.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2012-12-05 09:25:51 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Uses parallel make.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


$ rpmlint perl-CDDB_get.spec perl-CDDB_get-2.28-1.fc19.*rpm
perl-CDDB_get.noarch: E: incorrect-fsf-address /usr/share/doc/perl-CDDB_get-2.28/Copying
perl-CDDB_get.noarch: W: no-manual-page-for-binary cddb.pl
2 packages and 1 specfiles checked; 1 errors, 1 warnings.
Incorrect FSF address is reported to upstream.

rpmlint is ok.


MD5-sum check
-------------
http://www.cpan.org/authors/id/F/FO/FONKIE/CDDB_get-2.28.tar.gz :
  CHECKSUM(SHA256) this package     : bdccba1fa8e4c1cf3189c5e5a3529a6693a648aa5282b597538c7aaddce6d9c9
  CHECKSUM(SHA256) upstream package : bdccba1fa8e4c1cf3189c5e5a3529a6693a648aa5282b597538c7aaddce6d9c9


Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30
Buildroot used: fedora-rawhide-x86_64


Package is APPROVED.
Comment 2 Petr Pisar 2012-12-05 10:10:38 EST
New Package SCM Request
=======================
Package Name: perl-CDDB_get
Short Description: Read the CDDB entry for an audio CD in your drive
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-12-05 10:37:48 EST
Git done (by process-git-requests).
Comment 4 Petr Pisar 2012-12-06 03:43:01 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.